org.apache.tools.ant.taskdefs

## Class SendEmail

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.email.EmailTask
      - - org.apache.tools.ant.taskdefs.SendEmail

All Implemented Interfaces:
  java.lang.Cloneable

    public class SendEmail
    extends EmailTask

A task to send SMTP email. This task can send mail using either plain text, UU encoding or Mime format mail depending on what is available. Attachments may be sent using nested FileSet elements.

Since:
  Ant 1.2

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.email.EmailTask

`EmailTask.Encoding`

### Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.email.EmailTask

`AUTO, MIME, PLAIN, UU`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`SendEmail()`

### Method Summary

Methods
`void` `setMailport(java.lang.Integer value)` Deprecated. since 1.5.x. Use `EmailTask.setMailport(int)` instead.

### Methods inherited from class org.apache.tools.ant.taskdefs.email.EmailTask

`addBcc, addCc, addFileset, addFrom, addMessage, addReplyTo, addTo, createAttachments, createHeader, execute, getCharset, getIncludeFileNames, setBccList, setCcList, setCharset, setEnableStartTLS, setEncoding, setFailOnError, setFiles, setFrom, setIgnoreInvalidRecipients, setIncludefilenames, setMailhost, setMailport, setMessage, setMessageFile, setMessageMimeType, setPassword, setReplyTo, setSSL, setSubject, setToList, setUser`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SendEmail

    public SendEmail()

### Method Detail

#### setMailport

    public void setMailport(java.lang.Integer value)

Deprecated. since 1.5.x. Use `EmailTask.setMailport(int)` instead.
Sets the mailport parameter of this build task.

Parameters:
  `value` - mail port name.